@import "css-reset";
@import "fonts";

$breakpoint-medium: screen and (min-width:35rem);

:root {
  --main-font-size: 1.2rem;
  --smaller-font-size: 1.05rem;

  --spacing-base: 1.6rem;
  --readable-content-width: 50rem;
  --content-side-margin: 3rem;

  --site-background: #fafafa;
  --page-header-background: #423d3d;
  --page-footer-background: #343434;
  --promoted-content-background: #dfdfdf;

  --content-color: #222;

  --highlight-color: #ff8700;
  --highlight-color--contrast: #fff;
  --link-color: var(--highlight-color);
  --link-active-color: #b35f00;

  --content-color--inverted: #d7d7d7;
  --link-color--inverted: var(--content-color--inverted);
  --link-active-color--inverted: #fff;

  --border-color: #dedede;

  --table-header-background: #ddd;
  --table-row-contrast-background: #dedede;

  --logo-size--relative: 5.5;
  --splash-font-size: clamp(1.8rem, 8vw, 3rem);
  --sponsor-tile-size: 10rem;
}

body { color: var(--content-color); }
body, html {
  * {
    box-sizing: border-box;
    color: inherit;
  }
}

@import "typography";
@import "page-sections";
@import "elements";
